> For the complete documentation index, see [llms.txt](https://docs.shoplift.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shoplift.ai/api-reference/public-api/get-test-results.md).

# Get test results

Returns analytics and statistical significance data for a launched test.

```json
{"openapi":"3.1.1","info":{"title":"Shoplift Public API","version":"1.0.0"},"tags":[{"name":"Public API"}],"servers":[{"url":"https://app.shoplift.ai"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","description":"All requests require `Authorization: Bearer sl_live_<your_api_key>`. Generate a key from the Shoplift admin's API Keys settings page.","scheme":"bearer"}},"schemas":{"ExternalTestResultsResponse":{"required":["id","status","totalSessions","totalVisitors","controlSplit","variantSplit","winner","bayesianModelStatus","bayesianModelTrend","hasSufficientSamples","progress","lift","changeRevenue","controlProbabilityWin","variantProbabilityWin","liftByMetric","control","variant","daily","lifecycle","lifecycleByGoal"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/ExternalTestStatus"},"totalSessions":{"type":"integer","description":"Deprecated. Alias for `totalVisitors` — despite the name, this counts unique visitors, not sessions. Use `totalVisitors` going forward.","format":"int32","deprecated":true},"totalVisitors":{"type":"integer","format":"int32"},"controlSplit":{"type":"integer","format":"int32"},"variantSplit":{"type":"integer","format":"int32"},"winner":{"type":["null","string"]},"bayesianModelStatus":{"type":["null","string"],"description":"Deprecated. Superseded by `lifecycle`/`lifecycleByGoal`, which reflect the current Bayesian Reporting model.","deprecated":true},"bayesianModelTrend":{"type":["null","string"],"description":"Deprecated. Superseded by `lifecycle`/`lifecycleByGoal`, which reflect the current Bayesian Reporting model.","deprecated":true},"hasSufficientSamples":{"type":"boolean","description":"Deprecated. Always false for tests on the current Bayesian model. Reflects a retired sample-size model that's no longer used.","deprecated":true},"progress":{"type":"number","description":"Deprecated. Always 0 for tests on the current Bayesian model. Reflects a retired sample-size model that's no longer used.","format":"float","deprecated":true},"lift":{"type":"number","format":"float"},"changeRevenue":{"type":"number","format":"float"},"controlProbabilityWin":{"type":"number","format":"float"},"variantProbabilityWin":{"type":"number","format":"float"},"liftByMetric":{"$ref":"#/components/schemas/IReadOnlyDictionaryOfInt32AndExternalLiftByMetric"},"control":{"$ref":"#/components/schemas/ExternalTestSideStats"},"variant":{"$ref":"#/components/schemas/ExternalTestSideStats"},"daily":{"$ref":"#/components/schemas/IReadOnlyDictionaryOfStringAndExternalDailyEntry"},"lifecycle":{"$ref":"#/components/schemas/ExternalLifecycleModel"},"lifecycleByGoal":{"$ref":"#/components/schemas/IReadOnlyDictionaryOfInt32AndExternalLifecycleModel"}}},"ExternalTestStatus":{"enum":["draft","scheduled","active","paused","suspended","incompatible","cancelled","completed"]},"IReadOnlyDictionaryOfInt32AndExternalLiftByMetric":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/ExternalLiftByMetric"}},"ExternalLiftByMetric":{"required":["value"],"type":"object","properties":{"value":{"type":"number","format":"float"}}},"ExternalTestSideStats":{"required":["visitors","visits","clicks","carts","conversions","orders","totalOrders","totalConversions","initialSubscriptionConversions","initialSubscriptionOrders","initialSubscriptionRevenue","cnv","cvr","aov","rps","rpv","ctr","acr","revenue","totalRevenue","mobile","desktop","new","returning"],"type":"object","properties":{"visitors":{"type":"integer","format":"int32"},"visits":{"type":"integer","format":"int32"},"clicks":{"type":"integer","format":"int32"},"carts":{"type":"integer","format":"int32"},"conversions":{"type":"integer","format":"int32"},"orders":{"type":"integer","format":"int32"},"totalOrders":{"type":"integer","format":"int32"},"totalConversions":{"type":"integer","format":"int32"},"initialSubscriptionConversions":{"type":"integer","format":"int32"},"initialSubscriptionOrders":{"type":"integer","format":"int32"},"initialSubscriptionRevenue":{"type":"number","format":"double"},"cnv":{"type":"number","format":"double"},"cvr":{"type":"number","format":"double"},"aov":{"type":"number","format":"double"},"rps":{"type":"number","description":"Deprecated. Alias for `rpv` — despite the name, this is revenue per visitor, not per session. Use `rpv` going forward.","format":"double","deprecated":true},"rpv":{"type":"number","format":"double"},"ctr":{"type":"number","format":"double"},"acr":{"type":"number","format":"double"},"revenue":{"type":"number","format":"double"},"totalRevenue":{"type":"number","format":"double"},"mobile":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/ExternalTestSideStats"}]},"desktop":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/ExternalTestSideStats"}]},"new":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/ExternalTestSideStats"}]},"returning":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/ExternalTestSideStats"}]}}},"IReadOnlyDictionaryOfStringAndExternalDailyEntry":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/ExternalDailyEntry"}},"ExternalDailyEntry":{"required":["performance"],"type":"object","properties":{"performance":{"$ref":"#/components/schemas/ExternalDailyPerformance"}}},"ExternalDailyPerformance":{"required":["control","variant"],"type":"object","properties":{"control":{"$ref":"#/components/schemas/ExternalTestSideStats"},"variant":{"$ref":"#/components/schemas/ExternalTestSideStats"}}},"ExternalLifecycleModel":{"required":["goal","tier","tierReachedAt","leadingVariant","probabilityToWin","notYetStable"],"type":"object","properties":{"goal":{"type":"integer","format":"int32"},"tier":{"type":"string"},"tierReachedAt":{"type":["null","string"],"format":"date"},"leadingVariant":{"type":["null","string"]},"probabilityToWin":{"type":"number","format":"float"},"notYetStable":{"type":"boolean"}}},"IReadOnlyDictionaryOfInt32AndExternalLifecycleModel":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/ExternalLifecycleModel"}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}},"paths":{"/api/public/v1/tests/{id}/results":{"get":{"tags":["Public API"],"summary":"Get test results","description":"Returns analytics and statistical significance data for a launched test.","operationId":"getTestResults","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalTestResultsResponse"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"429":{"description":"Too Many Requests","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```
